Cloo 0.9.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
Cloo.ComputeContextPropertyList Class Reference

Represents a list of ComputeContextPropertys. More...

List of all members.

## Public Member Functions
| ComputeContextPropertyList (ComputePlatform platform)
| Creates a new ComputeContextPropertyList which contains a single item specifying a ComputePlatform.
| ComputeContextPropertyList (IEnumerable< ComputeContextProperty > properties)
| Creates a new ComputeContextPropertyList which contains the specified ComputeContextPropertys.
ComputeContextProperty | GetByName (ComputeContextPropertyName name)
| Gets a ComputeContextProperty of a specified `ComputeContextPropertyName`.
void | Add (ComputeContextProperty item)
void | Clear ()
bool | Contains (ComputeContextProperty item)
void | CopyTo (ComputeContextProperty[] array, int arrayIndex)
bool | Remove (ComputeContextProperty item)
IEnumerator < ComputeContextProperty > | GetEnumerator ()
## Properties
int | Count`[get]`
bool | IsReadOnly`[get]`

## Detailed Description

Represents a list of ComputeContextPropertys.

A ComputeContextPropertyList is used to specify the properties of a ComputeContext.

See also:
  ComputeContext, ComputeContextProperty

## Constructor & Destructor Documentation

Cloo.ComputeContextPropertyList.ComputeContextPropertyList | ( | ComputePlatform | platform | ) |

Creates a new ComputeContextPropertyList which contains a single item specifying a ComputePlatform.

Parameters:

  platform | A ComputePlatform.

Cloo.ComputeContextPropertyList.ComputeContextPropertyList | ( | IEnumerable< ComputeContextProperty > | properties | ) |

Creates a new ComputeContextPropertyList which contains the specified ComputeContextPropertys.

Parameters:

  properties | An enumerable of ComputeContextProperty's.

## Member Function Documentation

void Cloo.ComputeContextPropertyList.Add | ( | ComputeContextProperty | item | ) |

Parameters:

  item |

void Cloo.ComputeContextPropertyList.Clear | ( |  | ) |

bool Cloo.ComputeContextPropertyList.Contains | ( | ComputeContextProperty | item | ) |

Parameters:

  item |

Returns:

void Cloo.ComputeContextPropertyList.CopyTo | ( | ComputeContextProperty[] | array,
|  | int | arrayIndex
| ) |  |

Parameters:

  array |
  arrayIndex |

ComputeContextProperty Cloo.ComputeContextPropertyList.GetByName | ( | ComputeContextPropertyName | name | ) |

Gets a ComputeContextProperty of a specified `ComputeContextPropertyName`.

Parameters:

  name | The ComputeContextPropertyName of the ComputeContextProperty.

Returns:
  The requested ComputeContextProperty or `null` if no such ComputeContextProperty exists in the ComputeContextPropertyList.

IEnumerator<ComputeContextProperty> Cloo.ComputeContextPropertyList.GetEnumerator | ( |  | ) |

Returns:

bool Cloo.ComputeContextPropertyList.Remove | ( | ComputeContextProperty | item | ) |

Parameters:

  item |

Returns:

## Property Documentation

int Cloo.ComputeContextPropertyList.Count`[get]`

bool Cloo.ComputeContextPropertyList.IsReadOnly`[get]`

The documentation for this class was generated from the following file:

- Cloo/Source/ComputeContextPropertyList.cs